<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               version="2.0">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />

  <xsl:strip-space elements="*" />

  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" />
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="*[count(ancestor::*)=0]">
    <xliff xmlns="urn:oasis:names:tc:xliff:document:2.0"
           version="2.0" srcLang="en">
      <file id="{generate-id()}" original="birds.txt">
        <group id="{generate-id()}" name="{local-name()}">
          <xsl:if test="@*">
            <notes>
              <xsl:for-each select="@*">
                <xsl:variable name="name" select="name()" />
                <xsl:variable name="some2" select="." />
                <note category="{concat('attribute_',$name)}">
                  <xsl:value-of select="." />
                </note>
              </xsl:for-each>
            </notes>
          </xsl:if>
          <xsl:apply-templates />
        </group>
      </file>
    </xliff>
  </xsl:template>

  <xsl:template match="*[not(text())][count(ancestor::*)&gt;0]">
    <group xmlns="urn:oasis:names:tc:xliff:document:2.0"
           id="{generate-id()}" name="{local-name()}">
      <xsl:if test="@*">
        <notes>
          <xsl:for-each select="@*">
            <xsl:variable name="name" select="name()" />
            <xsl:variable name="some2" select="." />
            <note category="{concat('attribute_',$name)}">
              <xsl:value-of select="." />
            </note>
          </xsl:for-each>
        </notes>
      </xsl:if>
      <xsl:apply-templates />
    </group>
  </xsl:template>

  <xsl:template match="*[text()][count(ancestor::*)&gt;0]">
    <unit xmlns="urn:oasis:names:tc:xliff:document:2.0"
          id="{generate-id()}" name="{local-name()}">
      <xsl:if test="@*">
        <notes>
          <xsl:for-each select="@*">
            <xsl:variable name="name" select="name()" />
            <xsl:variable name="some2" select="." />
            <note category="{concat('attribute_',$name)}">
              <xsl:value-of select="." />
            </note>
          </xsl:for-each>
        </notes>
      </xsl:if>
      <segment>
        <source>
          <xsl:apply-templates />
        </source>
      </segment>
    </unit>
  </xsl:template>

  <xsl:template
      match="*[preceding-sibling::text() or following-sibling::text]"
      priority="3">
    <pc xmlns="urn:oasis:names:tc:xliff:document:2.0"
        id="{generate-id()}" type="other"
        subType="{concat('xmrk:',name())}">
      <xsl:apply-templates />
    </pc>
  </xsl:template>
</xsl:transform>
