<?xml version="1.0"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
               xmlns:svg="http://www.w3.org/2000/svg"
               xmlns:xlf="urn:oasis:names:tc:xliff:document:2.0"
               version="2.0">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:strip-space elements="*" />
  <xsl:variable name="file"
                select="concat('svg-skeleton-',generate-id(),'.txt')" />
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()" />
    </xsl:copy>
  </xsl:template>
  <xsl:template match="svg:tspan">
    <xsl:variable name="idref" select="@idref" />
    <tspan xmlns="http://www.w3.org/2000/svg">
      <xsl:for-each select="document('svg.xlf')//*[@id=$idref]">
        <xsl:value-of select="xlf:segment/xlf:target" />
      </xsl:for-each>
    </tspan>
  </xsl:template>
</xsl:transform>
